Package org.apache.sysds.runtime.instructions.cp

## Class BinaryCPInstruction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.Instruction
  - - org.apache.sysds.runtime.instructions.cp.CPInstruction
    - - org.apache.sysds.runtime.instructions.cp.ComputationCPInstruction
      - - org.apache.sysds.runtime.instructions.cp.BinaryCPInstruction

All Implemented Interfaces:
  `LineageTraceable`

Direct Known Subclasses:
  `AggregateBinaryCPInstruction`, `AppendCPInstruction`, `BinaryFrameFrameCPInstruction`, `BinaryFrameMatrixCPInstruction`, `BinaryMatrixMatrixCPInstruction`, `BinaryMatrixScalarCPInstruction`, `BinaryScalarScalarCPInstruction`, `BinaryTensorTensorCPInstruction`, `CovarianceCPInstruction`, `QuantilePickCPInstruction`

    public abstract class BinaryCPInstruction
    extends ComputationCPInstruction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

`CPInstruction.CPType`

### Nested classes/interfaces inherited from class org.apache.sysds.runtime.instructions.Instruction

`Instruction.IType`

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.instructions.cp.ComputationCPInstruction

`input1, input2, input3, output`

### Fields inherited from class org.apache.sysds.runtime.instructions.Instruction

`DATATYPE_PREFIX, FEDERATED_INST_PREFIX, GPU_INST_PREFIX, INSTRUCTION_DELIM, LITERAL_PREFIX, OPERAND_DELIM, SP_INST_PREFIX, VALUETYPE_PREFIX`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Operator` `getOperator()`
`static BinaryCPInstruction` `parseInstruction​(String str)`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.ComputationCPInstruction

`getInputs, getLineageItem, getOutput, getOutputVariableName`

### Methods inherited from class org.apache.sysds.runtime.instructions.cp.CPInstruction

`getCPInstructionType, getGraphString, getType, postprocessInstruction, preprocessInstruction, processInstruction, requiresLabelUpdate, updateLabels`

### Methods inherited from class org.apache.sysds.runtime.instructions.Instruction

`getBeginColumn, getBeginLine, getEndColumn, getEndLine, getExtendedOpcode, getFilename, getInstID, getInstructionString, getLineNum, getOpcode, getPrivacyConstraint, printMe, setInstID, setLocation, setLocation, setLocation, setLocation, setPrivacyConstraint, setPrivacyConstraint, toString, updateInstructionThreadID`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.sysds.runtime.lineage.LineageTraceable

`getLineageItems, hasSingleLineage`

### Method Detail

#### parseInstruction

    public static BinaryCPInstruction parseInstruction​(String str)

#### getOperator

    public Operator getOperator()

Overrides:
  `getOperator` in class `Instruction`